Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.multiring.testing
Class MultiringRegrTest.MultiringTestApp

    java.lang.Object
      rice.p2p.multiring.testing.MultiringRegrTest.MultiringTestApp

All Implemented Interfaces:
  Application

Enclosing class:
  MultiringRegrTest

public class MultiringRegrTest.MultiringTestApp
extends java.lang.Object
implements Application

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh

Field Summary
`protected Endpoint` | `endpoint` DESCRIBE THE FIELD

Constructor Summary
`MultiringRegrTest.MultiringTestApp(Node node)` Constructor for MultiringTestApp.

Method Summary
`void` | `deliver(Id id, Message message)` DESCRIBE THE METHOD
`boolean` | `forward(RouteMessage message)` DESCRIBE THE METHOD
`void` | `send(Id target)` DESCRIBE THE METHOD
`void` | `update(NodeHandle handle, boolean joined)` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### endpoint

    protected Endpoint endpoint

  DESCRIBE THE FIELD

Constructor Detail

### MultiringRegrTest.MultiringTestApp

    public MultiringRegrTest.MultiringTestApp(Node node)

  Constructor for MultiringTestApp.

Parameters:
  `node` - DESCRIBE THE PARAMETER

Method Detail

### send

    public void send(Id target)

  DESCRIBE THE METHOD

  Parameters:
    `target` - DESCRIBE THE PARAMETER

### forward

    public boolean forward(RouteMessage message)

  DESCRIBE THE METHOD

  Specified by:
    `forward` in interface `Application`
  Parameters:
    `message` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### deliver

    public void deliver(Id id,
                        Message message)

  DESCRIBE THE METHOD

  Specified by:
    `deliver` in interface `Application`
  Parameters:
    `id` - DESCRIBE THE PARAMETER
    `message` - DESCRIBE THE PARAMETER

### update

    public void update(NodeHandle handle,
                       boolean joined)

  DESCRIBE THE METHOD

  Specified by:
    `update` in interface `Application`
  Parameters:
    `handle` - DESCRIBE THE PARAMETER
    `joined` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.